<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.85
Name: [2] Osoba autoryzująca dokument (bazowy)
Description: Bazowy szablon struktury CDA dla i
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000">
   <title>[2] Osoba autoryzująca dokument (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]"
         id="tmp-r-14ab2b60-752d-4827-99ad-1fa7f6393337">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85'])&lt;=1">(plCdaBaseAuthenticator): element hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']"
         id="tmp-r-a09b9d25-c592-40bd-b9cd-776660bd0bfa">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="string(@typeCode)='LA' or not(@typeCode)">(plCdaBaseAuthenticator): Wartość dla @typeCode MUSI wynosić 'LA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85']/@nullFlavor)">(plCdaBaseAuthenticator): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'])&lt;=1">(plCdaBaseAuthenticator): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:time)&gt;=1 ">(plCdaBaseAuthenticator): element hl7:time jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaBaseAuthenticator): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor])&gt;=1 ">(plCdaBaseAuthenticator): element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor])&lt;=1">(plCdaBaseAuthenticator): element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(plCdaBaseAuthenticator): element hl7:assignedEntity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(plCdaBaseAuthenticator): element hl7:assignedEntity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85']
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85']"
         id="tmp-r-6f1cb847-c226-456b-87ed-0f255acd4f59">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.85'">(plCdaBaseAuthenticator): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.85'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseAuthenticator): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:time
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:time"
         id="tmp-r-f44465bb-6624-4787-8222-d547088ea2b2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor]
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor]"
         id="tmp-r-efdfc2e4-12d2-49d3-9bac-e22d7383e5ee">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaBaseAuthenticator): Wartość elementu MUSI wynosić ParticipationSignature (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseAuthenticator): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationSignature (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity"
         id="tmp-r-b718f1b2-4e2f-4dcf-890f-31bb2a2c3682">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaBaseAuthenticator): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(hl7:assignedPerson/hl7:name) and not(hl7:id[@root=/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id/@root and @extension=/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id/@extension])">(plCdaBaseAuthenticator): Jeśli osoba autoryzująca dokument jest również jego autorem to identyfikator osoby autoryzującej musi być taki sam jak identyfikator autora. W przeciwnym wypadku należy podać dane personalne osoby autoryzującej dokument.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaBaseAuthenticator): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseAuthenticator): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaBaseAuthenticator): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaBaseAuthenticator): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:id
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:id"
         id="tmp-r-996ac46b-7726-48de-8e84-3d3b89eb753d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="@root">(plCdaBaseAuthenticator): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseAuthenticator): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="@extension">(plCdaBaseAuthenticator): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaBaseAuthenticator): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:code
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:code"
         id="tmp-r-886122c4-d5b6-4a0c-b410-a3ccf669cc1f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:addr
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:addr"
         id="tmp-r-45fe474b-c76f-47cf-ab95-ae5cd7fa50c1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:AD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD.PL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:telecom
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-7677b0d5-2f1f-4420-bfd4-475b883ac64a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBaseAuthenticator)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaBaseAuthenticator)
--></pattern>
